Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.FontMapperCallback Class Reference

## Public Member Functions
java.util.ArrayList< byte[]> | mapFont (String font_family_name, int charset, int styles, int weight, int italic_angle)
| A callback function used to map a suitable font according to input parameters. More...
FontMapResult | mapFont (String font_name, boolean is_truetype, int styles, int weight, int italic_angle, int charset)
| (This function will be deprecated in the future. It is recommended to use FontMapperCallback.mapFont which returns . ) A callback function used to map a suitable font according to input parameters. More...
void | release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object to map font in customized way. All the pure virtual functions in this class are used as callback functions and should be implemented by user. An implemented FontMapperCallback object can be set to Foxit PDF SDK by function Library.setFontMapperCallback .

See also
  Library

## Member Function Documentation

## ◆ mapFont() [1/2]

java.util.ArrayList< byte[] > com.foxit.sdk.common.FontMapperCallback.mapFont | ( | String | font_family_name,
|  | int | charset,
|  | int | styles,
|  | int | weight,
|  | int | italic_angle
| ) |  |

A callback function used to map a suitable font according to input parameters.

Parameters

  [in] | font_family_name | Font family name.
  [in] | charset | The charset of the font to be mapped. Please refer to values starting from com.foxit.sdk.common.Font.e_CharsetANSI and this would be one of these values.
  [in] | styles | Font styles. Please refer to values starting from com.foxit.sdk.common.Font.e_StyleFixedPitch and this would be one or a combination of these values.
  [in] | weight | Original font weight. 0 means unspecified.
  [in] | italic_angle | Italic angle.

Returns
  Font family name array. If the returned array is empty, that means no mapped font is found.

## ◆ mapFont() [2/2]

FontMapResult com.foxit.sdk.common.FontMapperCallback.mapFont | ( | String | font_name,
|  | boolean | is_truetype,
|  | int | styles,
|  | int | weight,
|  | int | italic_angle,
|  | int | charset
| ) |  |

(This function will be deprecated in the future. It is recommended to use FontMapperCallback.mapFont which returns . )
A callback function used to map a suitable font according to input parameters.

Parameters

  [in] | font_name | Font name.
  [in] | is_truetype | true means the font is expected to be a TrueType font, while false means the font is expected to be a Type1 font.
  [in] | styles | Font styles. Please refer to values starting from com.foxit.sdk.common.Font.e_StyleFixedPitch and this would be one or a combination of these values.
  [in] | weight | Original font weight. 0 means unspecified.
  [in] | italic_angle | Italic angle.
  [in] | charset | The charset of the font to be mapped. Please refer to values starting from com.foxit.sdk.common.Font.e_CharsetANSI and this would be one of these values.

Returns
  Font map result object. If any member in the returned FontMapResult is invalid, that means no mapped font is found. Then Foxit PDF SDK will do font mapping.

## ◆ release()

void com.foxit.sdk.common.FontMapperCallback.release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.